import request, { postBlob,  getBlob } from '@/utils/request'

export function getListV2(params) {
  return request({
    url: `/com/list/list/v2?moduleId=${params.moduleId}`,
    method: 'post',
    data: params
  })
}

// 获取列表
export function getList(params) {
  return request({
    url: '/com/list/list',
    method: 'get',
    params
  })
}

// 获取下载列表
export function getDownloadList(params) {
  return request({
    url: '/com/list/download/log',
    method: 'get',
    params
  })
}

// 删除
export function deleteData(params) {
  return request({
    url: '/com/list/delete',
    method: 'post',
    params
  })
}

// 下载文件
export function exportFile(params) {
  return request({
    url: '/com/list/download',
    method: 'get',
    params
  })
}

// 导入
export function handleImport(params) {
  return request({
    url: '/com/list/yonge',
    method: 'post',
    params
  })
}
